[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# THandleStream.Write

Overrides standard write method.

## Declaration

Source position: classesh.inc line 917

`public function THandleStream.Write(`
`const Buffer;`
`Count: LongInt`
`):LongInt; override;`

## Description

Write overrides the Write method of TStream. It uses the Handle property to write the Count bytes from Buffer.

If no error occurs while writing, the number of bytes actually written will be returned.

## Errors

If the operating system reports an error while writing to the handle, 0 is returned.

## See also

TStream.Read |  | Reads data from the stream to a buffer and returns the number of bytes read.
THandleStream.Write |  | Overrides standard write method.
THandleStream.Handle |  | The OS handle of the stream.

Documentation generated on: Feb 26 2014